#include "windows.h"
#include "globals.h"
#include <winver.h>

APPNAME         ICON    DISCARDABLE     "pview95.ico"
IDB_TOOLBAR     BITMAP  DISCARDABLE     "toolbar.bmp"
IDC_RESIZE      CURSOR  DISCARDABLE     "resize.cur"

; Bring in the dialogs:
RCINCLUDE ABOUT.DLG

APPNAME MENU
BEGIN
    POPUP "&File"
    BEGIN
        MENUITEM "E&xit",                       ID_FILE_EXIT
    END
    POPUP "&Process"
    BEGIN
        MENUITEM "&Refresh\tF5",                ID_PROCESS_REFRESH
        MENUITEM "&Kill",                       ID_PROCESS_KILL
    END
    POPUP "&Help"
    BEGIN
        MENUITEM "&About...\tF1",               ID_HELP_ABOUT
    END
END

; String table

STRINGTABLE
BEGIN
    IDS_APPNAME,        SZAPPNAME
    IDS_DESCRIPTION,    SZDESCRIPTION

    IDS_PROCESS             "Process"
    IDS_PID                 "PID"
    IDS_PRIORITY            "Base Priority"
    IDS_THREADCNT           "Num. Threads"
	IDS_FULLPATH			"Full Path"

    IDS_THREAD              "TID"
    IDS_TPID                "Owning PID"
    IDS_TPRIORITY           "Thread Priority"

    IDS_FILTERSTRING        "Programs (*.exe, *.com, *.bat, *.pif)|*.exe;*.com;*.bat|Executables (*.exe)|*.exe|Command Files (*.com)|*.com|Batch Files (*.bat)|*.bat|Pif Files (*.pif)|*.pif|"
    IDS_NOMEMORY            "There is insufficent memory to run the program"
    IDS_BADFORMAT           "The file is not a valid executable format"
    IDS_FILENOTFOUND        "Cannot find the specified file"
    IDS_PATHNOTFOUND        "Cannot find the specified path"

	IDS_TIP_REFRESH		    "Refresh process list"
	IDS_TIP_KILL			"Kill process"
END


APPNAME ACCELERATORS
BEGIN
    VK_F1,      ID_HELP_ABOUT,          VIRTKEY, NOINVERT
    VK_F5,      ID_PROCESS_REFRESH,     VIRTKEY, NOINVERT
    "Q",        ID_FILE_EXIT,           CONTROL, VIRTKEY
END

; Version stamping information:

VS_VERSION_INFO VERSIONINFO
FILEVERSION     4,0,0,0
PRODUCTVERSION  4,0,0,0
FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
FILEFLAGS       (VS_FF_PRIVATEBUILD|VS_FF_PRERELEASE|VS_FF_DEBUG)
FILEOS          VOS_DOS_WINDOWS16
FILETYPE        VFT_APP
FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE SZRCOMPANYNAME,   "Microsoft Corporation\0"
            VALUE SZRDESCRIPTION,   SZDESCRIPTION "\0"
            VALUE SZRVERSION,       SZVERSION "\0"
            VALUE SZRAPPNAME,       SZAPPNAME "\0"
            VALUE SZRCOPYRIGHT,     "Copyright \251 Microsoft Corp. 1990-1994\0"
            VALUE SZRTRADEMARK,     "Microsoft\256 is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation"
            VALUE SZRPRODNAME,      SZAPPNAME "\0"
            VALUE SZRPRODVER,       SZVERSION "\0"
        END
    END

    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1252
    END
END
